summaryrefslogtreecommitdiff
path: root/decode.sh
diff options
context:
space:
mode:
Diffstat (limited to 'decode.sh')
-rwxr-xr-xdecode.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/decode.sh b/decode.sh
new file mode 100755
index 0000000..34c45a1
--- /dev/null
+++ b/decode.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+if [ ! "$2" ] ; then
+ echo $0: usage $0 infile outfile
+ exit 1
+fi
+
+openssl enc -d -aes-256-cbc -in "$1" -out "$2"